## org.apache.poi.hwpf.model.types
Class LFOAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.LFOAbstractType

    @Internal
    public abstract class LFOAbstractType

extends java.lang.Object

List Format Override (LFO).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Field Summary
`protected int` `field_1_lsid`
`protected int` `field_2_reserved1`
`protected int` `field_3_reserved2`
`protected byte` `field_4_clfolvl`
`protected byte` `field_5_ibstFltAutoNum`
`protected Grfhic` `field_6_grfhic`
`protected byte` `field_7_reserved3`

Constructor Summary
`protected` `LFOAbstractType()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`protected void` `fillFields(byte[] data, int offset)`
`byte` `getClfolvl()` Count of levels whose format is overridden (see LFOLVL).
`Grfhic` `getGrfhic()` HTML compatibility flags.
`byte` `getIbstFltAutoNum()` Used for AUTONUM field emulation.
`int` `getLsid()` List ID of corresponding LSTF (see LSTF).
`int` `getReserved1()` Reserved.
`int` `getReserved2()` Reserved.
`byte` `getReserved3()` Reserved.
`static int` `getSize()` Size of record
`int` `hashCode()`
`byte[]` `serialize()`
`void` `serialize(byte[] data, int offset)`
`void` `setClfolvl(byte field_4_clfolvl)` Count of levels whose format is overridden (see LFOLVL).
`void` `setGrfhic(Grfhic field_6_grfhic)` HTML compatibility flags.
`void` `setIbstFltAutoNum(byte field_5_ibstFltAutoNum)` Used for AUTONUM field emulation.
`void` `setLsid(int field_1_lsid)` List ID of corresponding LSTF (see LSTF).
`void` `setReserved1(int field_2_reserved1)` Reserved.
`void` `setReserved2(int field_3_reserved2)` Reserved.
`void` `setReserved3(byte field_7_reserved3)` Reserved.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_lsid

    protected int field_1_lsid

### field_2_reserved1

    protected int field_2_reserved1

### field_3_reserved2

    protected int field_3_reserved2

### field_4_clfolvl

    protected byte field_4_clfolvl

### field_5_ibstFltAutoNum

    protected byte field_5_ibstFltAutoNum

### field_6_grfhic

    protected Grfhic field_6_grfhic

### field_7_reserved3

    protected byte field_7_reserved3

Constructor Detail

### LFOAbstractType

    protected LFOAbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLsid

    @Internal
    public int getLsid()

  List ID of corresponding LSTF (see LSTF).

### setLsid

    @Internal
    public void setLsid(int field_1_lsid)

  List ID of corresponding LSTF (see LSTF).

### getReserved1

    @Internal
    public int getReserved1()

  Reserved.

### setReserved1

    @Internal
    public void setReserved1(int field_2_reserved1)

  Reserved.

### getReserved2

    @Internal
    public int getReserved2()

  Reserved.

### setReserved2

    @Internal
    public void setReserved2(int field_3_reserved2)

  Reserved.

### getClfolvl

    @Internal
    public byte getClfolvl()

  Count of levels whose format is overridden (see LFOLVL).

### setClfolvl

    @Internal
    public void setClfolvl(byte field_4_clfolvl)

  Count of levels whose format is overridden (see LFOLVL).

### getIbstFltAutoNum

    @Internal
    public byte getIbstFltAutoNum()

  Used for AUTONUM field emulation.

### setIbstFltAutoNum

    @Internal
    public void setIbstFltAutoNum(byte field_5_ibstFltAutoNum)

  Used for AUTONUM field emulation.

### getGrfhic

    @Internal
    public Grfhic getGrfhic()

  HTML compatibility flags.

### setGrfhic

    @Internal
    public void setGrfhic(Grfhic field_6_grfhic)

  HTML compatibility flags.

### getReserved3

    @Internal
    public byte getReserved3()

  Reserved.

### setReserved3

    @Internal
    public void setReserved3(byte field_7_reserved3)

  Reserved.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.